Subject: Re: git send-email splits name with comma

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Oct 2021 11:47:14 -0700

Geert Uytterhoeven <[email-masked]> writes:

> Hi Andreas,
>
> On Mon, Oct 4, 2021 at 4:31 PM Andreas Schwab <[email-masked]> wrote:
>> On Okt 04 2021, Geert Uytterhoeven wrote:
>> > If the name of an email address contains a comma, it will be split
>> > incorrectly into multiple addresses.
>>
>> If you want to include a comma in the display-name part of an address,
>> you need to use the quoted-string form of the phrase.
>
> Adding more quoting like:
>
>     git send-email --to "\"foo bar, geert\" <[email-masked]>"
>
> indeed works.  But I feel git send-email could do better, given it already
> receives the full email address in a single argv[] entry.

Sorry, but I do not quite follow.

If I were to send a message both to the list and to you, wouldn't

    git send-email --to "[email-masked], geert <[email-masked]>"

a valid way to do so?